PDF::API3::Compat::API2::Resource::Font::neTrueType(3)

NAME
PDF::API3::Compat::API2::Resource::Font::neTrueType - Module for using 8bit nonembedded truetype Fonts.

SYNOPSIS
    #
    use PDF::API3::Compat::API2;
    #
    $pdf = PDF::API3::Compat::API2->new;
    $cft = $pdf->nettfont('Times-Roman.ttf', -encode => 'latin1');
    #

METHODS

$font = PDF::API3::Compat::API2::Resource::Font::neTrueType->new $pdf, $fontfile, %options
    Returns a corefont object.

    Valid %options are:

    -encode ... changes the encoding of the font from its default. See perl's Encode for the supported values.

    -pdfname ... changes the reference-name of the font from its default. The reference-name is normally generated automatically and can be retrived via $pdfname=$font->name.

$font = PDF::API3::Compat::API2::Resource::Font::neTrueType->new_api $api, $fontname, %options
    Returns a ne-truetype 8bit only object. This method is different from 'new' that it needs an PDF::API3::Compat::API2-object rather than a PDF::API3::Compat::API2::PDF::File-object.

AUTHOR
alfred reibenschuh